Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputButton_Basic

<p>CL_InputButton interface used to ease manual implementation of a input button.</p>
Contained in: global
Derived from: CL_InputButton
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

`` | `CL_InputButton_Basic` | `()`;
`` | `CL_InputButton_Basic` | `(`bool` `state`)`;
``virtual`` | `~CL_InputButton_Basic` | `()`;

### Attributes:

``virtual` `bool`` | `is_pressed` | `()`;

### Operations:

``void`` | `set_state` | `(`bool` `state`)`;

## Description:

## Function Member Descriptions:

CL_InputButton_Basic::CL_InputButton_Basic - Constructs an input button defaulting to not being pressed (false).
`` `CL_InputButton_Basic` `()`;

CL_InputButton_Basic::CL_InputButton_Basic - Constructs an input button defaulting to 'state'.
`` `CL_InputButton_Basic` `(`bool` `state`)`;

CL_InputButton_Basic::is_pressed - Returns true if the button is pressed.
``virtual` `bool`` `is_pressed` `()`;

> Returns - True if pressed, false otherwise.

CL_InputButton_Basic::set_state - Changes the current button state. If 'state' is true, the button will be up, otherwise down.
``void`` `set_state` `(`bool` `state`)`;

> state - New button state. True = up, False = down.

CL_InputButton_Basic::~CL_InputButton_Basic - Input Button Basic Destructor
``virtual`` `~CL_InputButton_Basic` `()`;

## Variable Member Descriptions: